#ifndef _DaemonThread_h__
#define _DaemonThread_h__

#include <QThread>

class DaemonThread : public QThread {

    Q_OBJECT

  public:
    virtual void run() = 0;
    virtual void shutdown() = 0;
};

#endif
